package ch.zhaw.gartenverwaltung;

import ch.zhaw.gartenverwaltung.types.Crop;
import ch.zhaw.gartenverwaltung.types.Task;
import javafx.fxml.FXML;
import javafx.scene.control.DatePicker;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;

public class TaskFormularController {
    Crop crop;

    @FXML
    private TextArea description_area;

    @FXML
    private DatePicker end_datePicker;

    @FXML
    private TextField interval_field;

    @FXML
    private DatePicker start_datePicker;

    @FXML
    private TextField taskName_field;


    public Task returnResult() {
        Task task = new Task(taskName_field.getText(), description_area.getText(),
                start_datePicker.getValue(), end_datePicker.getValue(),
                Integer.parseInt(interval_field.getText()), crop.getCropId().get());
        return task;
    }

    public void setCorp(Crop crop) {
        this.crop = crop;
    }

    public void setTaskValue(Task task) {
        taskName_field.setText(task.getName());
        description_area.setText(task.getDescription());
        start_datePicker.setValue(task.getStartDate());
        end_datePicker.setValue(task.getEndDate().get());
        interval_field.setText(task.getInterval().get().toString());
    }
}
